list: API endpoint for returning a list of creatures.
retrieve: API endpoint for returning a particular creature.

GET /v2/creatures/?format=api&ordering=type&page=10
HTTP 200 OK
Allow: GET, HEAD, OPTIONS
Content-Type: application/json
Vary: Accept

{
    "count": 3541,
    "next": "https://api.open5e.com/v2/creatures/?format=api&ordering=type&page=11",
    "previous": "https://api.open5e.com/v2/creatures/?format=api&ordering=type&page=9",
    "results": [
        {
            "key": "srd_spider",
            "name": "Spider",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Tiny",
                "key": "tiny"
            },
            "challenge_rating": 0.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet",
                "climb": 20
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "",
            "hit_points": 1,
            "hit_dice": "1d4-1",
            "experience_points": 0,
            "ability_scores": {
                "strength": 2,
                "dexterity": 14,
                "constitution": 8,
                "intelligence": 1,
                "wisdom": 10,
                "charisma": 2
            },
            "modifiers": {
                "strength": -4,
                "dexterity": 2,
                "constitution": -1,
                "intelligence": -5,
                "wisdom": 0,
                "charisma": -4
            },
            "initiative_bonus": 2,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -4,
                "dexterity": 2,
                "constitution": -1,
                "intelligence": -5,
                "wisdom": 0,
                "charisma": -4
            },
            "skill_bonuses": {
                "stealth": 4
            },
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 0,
                "arcana": -5,
                "athletics": -4,
                "deception": -4,
                "history": -5,
                "insight": 0,
                "intimidation": -4,
                "investigation": -5,
                "medicine": 0,
                "nature": -5,
                "perception": 0,
                "performance": -4,
                "persuasion": -4,
                "religion": -5,
                "sleight_of_hand": 2,
                "stealth": 4,
                "survival": 0
            },
            "passive_perception": 12,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 30,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "Melee Weapon Attack: +4 to hit, reach 5 ft., one creature. Hit: 1 piercing damage, and the target must succeed on a DC 9 Constitution saving throw or take 2 (1d4) poison damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": true,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Spider Climb",
                    "desc": "The spider can climb difficult surfaces, including upside down on ceilings, without needing to make an ability check."
                },
                {
                    "name": "Web Sense",
                    "desc": "While in contact with a web, the spider knows the exact location of any other creature in contact with the same web."
                },
                {
                    "name": "Web Walker",
                    "desc": "The spider ignores movement restrictions caused by webbing."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Caves",
                    "key": "caves"
                },
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Ruins",
                    "key": "ruins"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_stirge",
            "name": "Stirge",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Tiny",
                "key": "tiny"
            },
            "challenge_rating": 0.125,
            "proficiency_bonus": null,
            "speed": {
                "walk": 10,
                "unit": "feet",
                "fly": 40
            },
            "speed_all": {
                "unit": "feet",
                "walk": 10,
                "crawl": 5,
                "hover": false,
                "fly": 40,
                "burrow": 0,
                "climb": 5,
                "swim": 5
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 14,
            "armor_detail": "natural armor",
            "hit_points": 2,
            "hit_dice": "1d4",
            "experience_points": 25,
            "ability_scores": {
                "strength": 4,
                "dexterity": 16,
                "constitution": 11,
                "intelligence": 2,
                "wisdom": 8,
                "charisma": 6
            },
            "modifiers": {
                "strength": -3,
                "dexterity": 3,
                "constitution": 0,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -2
            },
            "initiative_bonus": 3,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -3,
                "dexterity": 3,
                "constitution": 0,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -2
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 3,
                "animal_handling": -1,
                "arcana": -4,
                "athletics": -3,
                "deception": -2,
                "history": -4,
                "insight": -1,
                "intimidation": -2,
                "investigation": -4,
                "medicine": -1,
                "nature": -4,
                "perception": -1,
                "performance": -2,
                "persuasion": -2,
                "religion": -4,
                "sleight_of_hand": 3,
                "stealth": 3,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Blood Drain",
                    "desc": "Melee Weapon Attack: +5 to hit, reach 5 ft., one creature. Hit: 5 (1d4 + 3) piercing damage, and the stirge attaches to the target. While attached, the stirge doesn't attack. Instead, at the start of each of the stirge's turns, the target loses 5 (1d4 + 3) hit points due to blood loss.\nThe stirge can detach itself by spending 5 feet of its movement. It does so after it drains 10 hit points of blood from the target or the target dies. A creature, including the target, can use its action to detach the stirge.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Blood Drain attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": true,
                            "damage_die_count": 1,
                            "damage_die_type": "D4",
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Caves",
                    "key": "caves"
                },
                {
                    "name": "Coast",
                    "key": "coast"
                },
                {
                    "name": "Desert",
                    "key": "desert"
                },
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Grassland or Plains",
                    "key": "grassland"
                },
                {
                    "name": "Hills",
                    "key": "hills"
                },
                {
                    "name": "Mountain",
                    "key": "mountain"
                },
                {
                    "name": "Swamp or Marsh",
                    "key": "swamp"
                },
                {
                    "name": "Underworld",
                    "key": "underworld"
                },
                {
                    "name": "Urban",
                    "key": "urban"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-bats",
            "name": "Swarm of Bats",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.25,
            "proficiency_bonus": null,
            "speed": {
                "walk": 0,
                "unit": "feet",
                "fly": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 0,
                "crawl": 0,
                "hover": false,
                "fly": 30,
                "burrow": 0,
                "climb": 0,
                "swim": 0
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "",
            "hit_points": 22,
            "hit_dice": "5d8",
            "experience_points": 50,
            "ability_scores": {
                "strength": 5,
                "dexterity": 15,
                "constitution": 10,
                "intelligence": 2,
                "wisdom": 12,
                "charisma": 4
            },
            "modifiers": {
                "strength": -3,
                "dexterity": 2,
                "constitution": 0,
                "intelligence": -4,
                "wisdom": 1,
                "charisma": -3
            },
            "initiative_bonus": 2,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -3,
                "dexterity": 2,
                "constitution": 0,
                "intelligence": -4,
                "wisdom": 1,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 1,
                "arcana": -4,
                "athletics": -3,
                "deception": -3,
                "history": -4,
                "insight": 1,
                "intimidation": -3,
                "investigation": -4,
                "medicine": 1,
                "nature": -4,
                "perception": 1,
                "performance": -3,
                "persuasion": -3,
                "religion": -4,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": 1
            },
            "passive_perception": 11,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, grappled, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 60,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bites",
                    "desc": "Melee Weapon Attack: +4 to hit, reach 0 ft., one creature in the swarm's space. Hit: 5 (2d4) piercing damage, or 2 (1d4) piercing damage if the swarm has half of its hit points or fewer.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bites attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 0,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": true,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Echolocation",
                    "desc": "The swarm can't use its blindsight while deafened."
                },
                {
                    "name": "Keen Hearing",
                    "desc": "The swarm has advantage on Wisdom (Perception) checks that rely on hearing."
                },
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny bat. The swarm can't regain hit points or gain temporary hit points."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Caves",
                    "key": "caves"
                },
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Hills",
                    "key": "hills"
                },
                {
                    "name": "Mountain",
                    "key": "mountain"
                },
                {
                    "name": "Shadowfell",
                    "key": "shadowfell"
                },
                {
                    "name": "Tomb",
                    "key": "tomb"
                },
                {
                    "name": "Underworld",
                    "key": "underworld"
                },
                {
                    "name": "Urban",
                    "key": "urban"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-beetles",
            "name": "Swarm of Beetles",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.5,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet",
                "burrow": 5,
                "climb": 20
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 0,
                "burrow": 5,
                "climb": 20,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "natural armor",
            "hit_points": 22,
            "hit_dice": "5d8",
            "experience_points": 100,
            "ability_scores": {
                "strength": 3,
                "dexterity": 13,
                "constitution": 10,
                "intelligence": 1,
                "wisdom": 7,
                "charisma": 1
            },
            "modifiers": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "initiative_bonus": 1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": -2,
                "arcana": -5,
                "athletics": -4,
                "deception": -5,
                "history": -5,
                "insight": -2,
                "intimidation": -5,
                "investigation": -5,
                "medicine": -2,
                "nature": -5,
                "perception": -2,
                "performance": -5,
                "persuasion": -5,
                "religion": -5,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": -2
            },
            "passive_perception": 8,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, grappled, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 10,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bites",
                    "desc": "Melee Weapon Attack: +3 to hit, reach 0 ft., one target in the swarm's space. Hit: 10 (4d4) piercing damage, or 5 (2d4) piercing damage if the swarm has half of its hit points or fewer.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bites attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 3,
                            "reach": 0,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny insect. The swarm can't regain hit points or gain temporary hit points."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Caves",
                    "key": "caves"
                },
                {
                    "name": "Desert",
                    "key": "desert"
                },
                {
                    "name": "Underworld",
                    "key": "underworld"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-centipedes",
            "name": "Swarm of Centipedes",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.5,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet",
                "climb": 20
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "natural armor",
            "hit_points": 22,
            "hit_dice": "5d8",
            "experience_points": 100,
            "ability_scores": {
                "strength": 3,
                "dexterity": 13,
                "constitution": 10,
                "intelligence": 1,
                "wisdom": 7,
                "charisma": 1
            },
            "modifiers": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "initiative_bonus": 1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": -2,
                "arcana": -5,
                "athletics": -4,
                "deception": -5,
                "history": -5,
                "insight": -2,
                "intimidation": -5,
                "investigation": -5,
                "medicine": -2,
                "nature": -5,
                "perception": -2,
                "performance": -5,
                "persuasion": -5,
                "religion": -5,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": -2
            },
            "passive_perception": 8,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, grappled, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 10,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bites",
                    "desc": "Melee Weapon Attack: +3 to hit, reach 0 ft., one target in the swarm's space. Hit: 10 (4d4) piercing damage, or 5 (2d4) piercing damage if the swarm has half of its hit points or fewer.\nA creature reduced to 0 hit points by a swarm of centipedes is stable but poisoned for 1 hour, even after regaining hit points, and paralyzed while poisoned in this way.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bites attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 3,
                            "reach": 0,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny insect. The swarm can't regain hit points or gain temporary hit points."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Arctic or Tundra",
                    "key": "arctic"
                },
                {
                    "name": "Caves",
                    "key": "caves"
                },
                {
                    "name": "Coast",
                    "key": "coast"
                },
                {
                    "name": "Desert",
                    "key": "desert"
                },
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Grassland or Plains",
                    "key": "grassland"
                },
                {
                    "name": "Hills",
                    "key": "hills"
                },
                {
                    "name": "Laboratory",
                    "key": "laboratory"
                },
                {
                    "name": "Lake",
                    "key": "lake"
                },
                {
                    "name": "Mountain",
                    "key": "mountain"
                },
                {
                    "name": "Ocean",
                    "key": "ocean"
                },
                {
                    "name": "Ruins",
                    "key": "ruins"
                },
                {
                    "name": "Sewer",
                    "key": "sewer"
                },
                {
                    "name": "Shadowfell",
                    "key": "shadowfell"
                },
                {
                    "name": "The Abyss",
                    "key": "srd_abyss"
                },
                {
                    "name": "Astral Plane",
                    "key": "srd_astral-plane"
                },
                {
                    "name": "Elysium",
                    "key": "srd_elysium"
                },
                {
                    "name": "Ethereal Plane",
                    "key": "srd_ethereal-plane"
                },
                {
                    "name": "Feywild",
                    "key": "srd_feywild"
                },
                {
                    "name": "Hell",
                    "key": "srd_hell"
                },
                {
                    "name": "Material Plane",
                    "key": "srd_material-plane"
                },
                {
                    "name": "Plane of Air",
                    "key": "srd_plane-of-air"
                },
                {
                    "name": "Plane of Earth",
                    "key": "srd_plane-of-earth"
                },
                {
                    "name": "Plane of Fire",
                    "key": "srd_plane-of-fire"
                },
                {
                    "name": "Plane of Water",
                    "key": "srd_plane-of-water"
                },
                {
                    "name": "Swamp or Marsh",
                    "key": "swamp"
                },
                {
                    "name": "Temple",
                    "key": "temple"
                },
                {
                    "name": "Badlands",
                    "key": "tob_badlands"
                },
                {
                    "name": "Tomb",
                    "key": "tomb"
                },
                {
                    "name": "Underworld",
                    "key": "underworld"
                },
                {
                    "name": "Urban",
                    "key": "urban"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-insects",
            "name": "Swarm of Insects",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.5,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet",
                "climb": 20
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "natural armor",
            "hit_points": 22,
            "hit_dice": "5d8",
            "experience_points": 100,
            "ability_scores": {
                "strength": 3,
                "dexterity": 13,
                "constitution": 10,
                "intelligence": 1,
                "wisdom": 7,
                "charisma": 1
            },
            "modifiers": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "initiative_bonus": 1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": -2,
                "arcana": -5,
                "athletics": -4,
                "deception": -5,
                "history": -5,
                "insight": -2,
                "intimidation": -5,
                "investigation": -5,
                "medicine": -2,
                "nature": -5,
                "perception": -2,
                "performance": -5,
                "persuasion": -5,
                "religion": -5,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": -2
            },
            "passive_perception": 8,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, grappled, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 10,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bites",
                    "desc": "Melee Weapon Attack: +3 to hit, reach 0 ft., one target in the swarm's space. Hit: 10 (4d4) piercing damage, or 5 (2d4) piercing damage if the swarm has half of its hit points or fewer.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bites attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 3,
                            "reach": 0,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny insect. The swarm can't regain hit points or gain temporary hit points."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Grassland or Plains",
                    "key": "grassland"
                },
                {
                    "name": "Hills",
                    "key": "hills"
                },
                {
                    "name": "Swamp or Marsh",
                    "key": "swamp"
                },
                {
                    "name": "Underworld",
                    "key": "underworld"
                },
                {
                    "name": "Urban",
                    "key": "urban"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-poisonous-snakes",
            "name": "Swarm of Poisonous Snakes",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 2.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "swim": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 30
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 14,
            "armor_detail": "",
            "hit_points": 36,
            "hit_dice": "8d8",
            "experience_points": 450,
            "ability_scores": {
                "strength": 8,
                "dexterity": 18,
                "constitution": 11,
                "intelligence": 1,
                "wisdom": 10,
                "charisma": 3
            },
            "modifiers": {
                "strength": -1,
                "dexterity": 4,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": 0,
                "charisma": -4
            },
            "initiative_bonus": 4,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -1,
                "dexterity": 4,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": 0,
                "charisma": -4
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 4,
                "animal_handling": 0,
                "arcana": -5,
                "athletics": -1,
                "deception": -4,
                "history": -5,
                "insight": 0,
                "intimidation": -4,
                "investigation": -5,
                "medicine": 0,
                "nature": -5,
                "perception": 0,
                "performance": -4,
                "persuasion": -4,
                "religion": -5,
                "sleight_of_hand": 4,
                "stealth": 4,
                "survival": 0
            },
            "passive_perception": 10,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, grappled, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 10,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bites",
                    "desc": "Melee Weapon Attack: +6 to hit, reach 0 ft., one creature in the swarm's space. Hit: 7 (2d6) piercing damage, or 3 (1d6) piercing damage if the swarm has half of its hit points or fewer. The target must make a DC 10 Constitution saving throw, taking 14 (4d6) poison damage on a failed save, or half as much damage on a successful one.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bites attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 0,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": true,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny snake. The swarm can't regain hit points or gain temporary hit points."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Caves",
                    "key": "caves"
                },
                {
                    "name": "Desert",
                    "key": "desert"
                },
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Grassland or Plains",
                    "key": "grassland"
                },
                {
                    "name": "Hills",
                    "key": "hills"
                },
                {
                    "name": "Mountain",
                    "key": "mountain"
                },
                {
                    "name": "Ocean",
                    "key": "ocean"
                },
                {
                    "name": "Ruins",
                    "key": "ruins"
                },
                {
                    "name": "Sewer",
                    "key": "sewer"
                },
                {
                    "name": "Swamp or Marsh",
                    "key": "swamp"
                },
                {
                    "name": "Tomb",
                    "key": "tomb"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-quippers",
            "name": "Swarm of Quippers",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 1.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 0,
                "unit": "feet",
                "swim": 40
            },
            "speed_all": {
                "unit": "feet",
                "walk": 0,
                "crawl": 0,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 0,
                "swim": 40
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 13,
            "armor_detail": "",
            "hit_points": 28,
            "hit_dice": "8d8-8",
            "experience_points": 200,
            "ability_scores": {
                "strength": 13,
                "dexterity": 16,
                "constitution": 9,
                "intelligence": 1,
                "wisdom": 7,
                "charisma": 2
            },
            "modifiers": {
                "strength": 1,
                "dexterity": 3,
                "constitution": -1,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -4
            },
            "initiative_bonus": 3,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 1,
                "dexterity": 3,
                "constitution": -1,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -4
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 3,
                "animal_handling": -2,
                "arcana": -5,
                "athletics": 1,
                "deception": -4,
                "history": -5,
                "insight": -2,
                "intimidation": -4,
                "investigation": -5,
                "medicine": -2,
                "nature": -5,
                "perception": -2,
                "performance": -4,
                "persuasion": -4,
                "religion": -5,
                "sleight_of_hand": 3,
                "stealth": 3,
                "survival": -2
            },
            "passive_perception": 8,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, grappled, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bites",
                    "desc": "Melee Weapon Attack: +5 to hit, reach 0 ft., one creature in the swarm's space. Hit: 14 (4d6) piercing damage, or 7 (2d6) piercing damage if the swarm has half of its hit points or fewer.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bites attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 0,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": true,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Blood Frenzy",
                    "desc": "The swarm has advantage on melee attack rolls against any creature that doesn't have all its hit points."
                },
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny quipper. The swarm can't regain hit points or gain temporary hit points."
                },
                {
                    "name": "Water Breathing",
                    "desc": "The swarm can breathe only underwater."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Ocean",
                    "key": "ocean"
                },
                {
                    "name": "Sewer",
                    "key": "sewer"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-rats",
            "name": "Swarm of Rats",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.25,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 10,
            "armor_detail": "",
            "hit_points": 24,
            "hit_dice": "7d8-7",
            "experience_points": 50,
            "ability_scores": {
                "strength": 9,
                "dexterity": 11,
                "constitution": 9,
                "intelligence": 2,
                "wisdom": 10,
                "charisma": 3
            },
            "modifiers": {
                "strength": -1,
                "dexterity": 0,
                "constitution": -1,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -4
            },
            "initiative_bonus": 0,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -1,
                "dexterity": 0,
                "constitution": -1,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -4
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 0,
                "animal_handling": 0,
                "arcana": -4,
                "athletics": -1,
                "deception": -4,
                "history": -4,
                "insight": 0,
                "intimidation": -4,
                "investigation": -4,
                "medicine": 0,
                "nature": -4,
                "perception": 0,
                "performance": -4,
                "persuasion": -4,
                "religion": -4,
                "sleight_of_hand": 0,
                "stealth": 0,
                "survival": 0
            },
            "passive_perception": 10,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, grappled, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": 30,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bites",
                    "desc": "Melee Weapon Attack: +2 to hit, reach 0 ft., one target in the swarm's space. Hit: 7 (2d6) piercing damage, or 3 (1d6) piercing damage if the swarm has half of its hit points or fewer.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bites attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 2,
                            "reach": 0,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Keen Smell",
                    "desc": "The swarm has advantage on Wisdom (Perception) checks that rely on smell."
                },
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny rat. The swarm can't regain hit points or gain temporary hit points."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Caves",
                    "key": "caves"
                },
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Ruins",
                    "key": "ruins"
                },
                {
                    "name": "Sewer",
                    "key": "sewer"
                },
                {
                    "name": "Swamp or Marsh",
                    "key": "swamp"
                },
                {
                    "name": "Urban",
                    "key": "urban"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-ravens",
            "name": "Swarm of Ravens",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.25,
            "proficiency_bonus": null,
            "speed": {
                "walk": 10,
                "unit": "feet",
                "fly": 50
            },
            "speed_all": {
                "unit": "feet",
                "walk": 10,
                "crawl": 5,
                "hover": false,
                "fly": 50,
                "burrow": 0,
                "climb": 5,
                "swim": 5
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "",
            "hit_points": 24,
            "hit_dice": "7d8-7",
            "experience_points": 50,
            "ability_scores": {
                "strength": 6,
                "dexterity": 14,
                "constitution": 8,
                "intelligence": 3,
                "wisdom": 12,
                "charisma": 6
            },
            "modifiers": {
                "strength": -2,
                "dexterity": 2,
                "constitution": -1,
                "intelligence": -4,
                "wisdom": 1,
                "charisma": -2
            },
            "initiative_bonus": 2,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -2,
                "dexterity": 2,
                "constitution": -1,
                "intelligence": -4,
                "wisdom": 1,
                "charisma": -2
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 1,
                "arcana": -4,
                "athletics": -2,
                "deception": -2,
                "history": -4,
                "insight": 1,
                "intimidation": -2,
                "investigation": -4,
                "medicine": 1,
                "nature": -4,
                "perception": 1,
                "performance": -2,
                "persuasion": -2,
                "religion": -4,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": 1
            },
            "passive_perception": 15,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, grappled, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Beaks",
                    "desc": "Melee Weapon Attack: +4 to hit, reach 5 ft., one target in the swarm's space. Hit: 7 (2d6) piercing damage, or 3 (1d6) piercing damage if the swarm has half of its hit points or fewer.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Beaks attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny raven. The swarm can't regain hit points or gain temporary hit points."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Hills",
                    "key": "hills"
                },
                {
                    "name": "Swamp or Marsh",
                    "key": "swamp"
                },
                {
                    "name": "Urban",
                    "key": "urban"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-spiders",
            "name": "Swarm of Spiders",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.5,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet",
                "climb": 20
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "natural armor",
            "hit_points": 22,
            "hit_dice": "5d8",
            "experience_points": 100,
            "ability_scores": {
                "strength": 3,
                "dexterity": 13,
                "constitution": 10,
                "intelligence": 1,
                "wisdom": 7,
                "charisma": 1
            },
            "modifiers": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "initiative_bonus": 1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": -2,
                "arcana": -5,
                "athletics": -4,
                "deception": -5,
                "history": -5,
                "insight": -2,
                "intimidation": -5,
                "investigation": -5,
                "medicine": -2,
                "nature": -5,
                "perception": -2,
                "performance": -5,
                "persuasion": -5,
                "religion": -5,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": -2
            },
            "passive_perception": 8,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning, piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, frightened, paralyzed, petrified, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 10,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bites",
                    "desc": "Melee Weapon Attack: +3 to hit, reach 0 ft., one target in the swarm's space. Hit: 10 (4d4) piercing damage, or 5 (2d4) piercing damage if the swarm has half of its hit points or fewer.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bites attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 3,
                            "reach": 0,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": null,
                            "damage_die_type": null,
                            "damage_bonus": null,
                            "damage_type": {
                                "name": "Thunder",
                                "key": "thunder"
                            },
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": null,
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Spider Climb",
                    "desc": "The swarm can climb difficult surfaces, including upside down on ceilings, without needing to make an ability check."
                },
                {
                    "name": "Swarm",
                    "desc": "The swarm can occupy another creature's space and vice versa, and the swarm can move through any opening large enough for a Tiny insect. The swarm can't regain hit points or gain temporary hit points."
                },
                {
                    "name": "Web Sense",
                    "desc": "While in contact with a web, the swarm knows the exact location of any other creature in contact with the same web."
                },
                {
                    "name": "Web Walker",
                    "desc": "The swarm ignores movement restrictions caused by webbing."
                }
            ],
            "creaturesets": [],
            "environments": [
                {
                    "name": "Arctic or Tundra",
                    "key": "arctic"
                },
                {
                    "name": "Caves",
                    "key": "caves"
                },
                {
                    "name": "Coast",
                    "key": "coast"
                },
                {
                    "name": "Desert",
                    "key": "desert"
                },
                {
                    "name": "Forest or Jungle",
                    "key": "forest"
                },
                {
                    "name": "Grassland or Plains",
                    "key": "grassland"
                },
                {
                    "name": "Hills",
                    "key": "hills"
                },
                {
                    "name": "Laboratory",
                    "key": "laboratory"
                },
                {
                    "name": "Lake",
                    "key": "lake"
                },
                {
                    "name": "Mountain",
                    "key": "mountain"
                },
                {
                    "name": "Ocean",
                    "key": "ocean"
                },
                {
                    "name": "Ruins",
                    "key": "ruins"
                },
                {
                    "name": "Sewer",
                    "key": "sewer"
                },
                {
                    "name": "Shadowfell",
                    "key": "shadowfell"
                },
                {
                    "name": "The Abyss",
                    "key": "srd_abyss"
                },
                {
                    "name": "Astral Plane",
                    "key": "srd_astral-plane"
                },
                {
                    "name": "Elysium",
                    "key": "srd_elysium"
                },
                {
                    "name": "Ethereal Plane",
                    "key": "srd_ethereal-plane"
                },
                {
                    "name": "Feywild",
                    "key": "srd_feywild"
                },
                {
                    "name": "Hell",
                    "key": "srd_hell"
                },
                {
                    "name": "Material Plane",
                    "key": "srd_material-plane"
                },
                {
                    "name": "Plane of Air",
                    "key": "srd_plane-of-air"
                },
                {
                    "name": "Plane of Earth",
                    "key": "srd_plane-of-earth"
                },
                {
                    "name": "Plane of Fire",
                    "key": "srd_plane-of-fire"
                },
                {
                    "name": "Plane of Water",
                    "key": "srd_plane-of-water"
                },
                {
                    "name": "Swamp or Marsh",
                    "key": "swamp"
                },
                {
                    "name": "Temple",
                    "key": "temple"
                },
                {
                    "name": "Badlands",
                    "key": "tob_badlands"
                },
                {
                    "name": "Tomb",
                    "key": "tomb"
                },
                {
                    "name": "Underworld",
                    "key": "underworld"
                },
                {
                    "name": "Urban",
                    "key": "urban"
                }
            ],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "srd_swarm-of-wasps",
            "name": "Swarm of Wasps",
            "document": {
                "name": "System Reference Document 5.1",
                "key": "srd-2014",
                "type": "SOURCE",
                "display_name": "5e 2014 Rules",
                "publisher": {
                    "name": "Wizards of the Coast",
                    "key": "wizards-of-the-coast"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://dnd.wizards.com/resources/systems-reference-document"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.5,
            "proficiency_bonus": null,
            "speed": {
                "walk": 5,
                "unit": "feet",
                "fly": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 5,
                "crawl": 2,
                "hover": false,
                "fly": 30,
                "burrow": 0,
                "climb": 2,
                "swim": 2
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "natural armor",
            "hit_points": 22,
            "hit_dice": "5d8",
            "experience_points": 100,
            "ability_scores": {
                "strength": 3,
                "dexterity": 13,
                "constitution": 10,
                "intelligence": 1,
                "wisdom": 7,
                "charisma": 1
            },
            "modifiers": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
                "intelligence": -5,
                "wisdom": -2,
                "charisma": -5
            },
            "initiative_bonus": 1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -4,
                "dexterity": 1,
                "constitution": 0,
[...]
